Crear una vista guardada
curl --request POST \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/views \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource": "<string>",
"name": "<string>",
"visibility": "private",
"state": {
"question": {
"search": "<string>"
},
"columns": [
"<string>"
],
"hide": [
"<string>"
]
}
}
'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/views"
payload = {
"resource": "<string>",
"name": "<string>",
"visibility": "private",
"state": {
"question": { "search": "<string>" },
"columns": ["<string>"],
"hide": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/views",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'resource' => '<string>',
'name' => '<string>',
'visibility' => 'private',
'state' => [
'question' => [
'search' => '<string>'
],
'columns' => [
'<string>'
],
'hide' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resource: '<string>',
name: '<string>',
visibility: 'private',
state: {question: {search: '<string>'}, columns: ['<string>'], hide: ['<string>']}
})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"visibility": "private",
"state": {
"question": {
"search": "<string>",
"filter": {
"items": [
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
],
"logic": "and"
},
"sort": {
"field": "<string>",
"direction": "asc"
}
},
"columns": [
"<string>"
],
"hide": [
"<string>"
]
},
"mine": true,
"default": true
}{
"type": "<string>",
"status": 123,
"code": "core.view_resource_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Vistas guardadas
Crear una vista guardada
Guarda lo que muestra una tabla (su búsqueda, filtros, orden y columnas) como una vista tuya con nombre, privada o compartida con la organización. Su filtro y su orden leen los campos de la tabla: en core.imports, file, entity, mode, fields, state (active, succeeded, withErrors, failed o canceled), success, warning, error y blocked; en core.exports, file, entity, fields, filters, format, state (active, succeeded, failed o canceled) y rows.
POST
/
api
/
v1
/
orgs
/
{orgId}
/
core
/
views
Crear una vista guardada
curl --request POST \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/views \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource": "<string>",
"name": "<string>",
"visibility": "private",
"state": {
"question": {
"search": "<string>"
},
"columns": [
"<string>"
],
"hide": [
"<string>"
]
}
}
'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/views"
payload = {
"resource": "<string>",
"name": "<string>",
"visibility": "private",
"state": {
"question": { "search": "<string>" },
"columns": ["<string>"],
"hide": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/views",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'resource' => '<string>',
'name' => '<string>',
'visibility' => 'private',
'state' => [
'question' => [
'search' => '<string>'
],
'columns' => [
'<string>'
],
'hide' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resource: '<string>',
name: '<string>',
visibility: 'private',
state: {question: {search: '<string>'}, columns: ['<string>'], hide: ['<string>']}
})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"visibility": "private",
"state": {
"question": {
"search": "<string>",
"filter": {
"items": [
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
],
"logic": "and"
},
"sort": {
"field": "<string>",
"direction": "asc"
}
},
"columns": [
"<string>"
],
"hide": [
"<string>"
]
},
"mine": true,
"default": true
}{
"type": "<string>",
"status": 123,
"code": "core.view_resource_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Autorizaciones
Cuerpo
application/json
¿Esta página le ayudó?